Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Result

    java.lang.Object
      |
      +--org.hsqldb.Result

class Result
extends java.lang.Object

Class declaration

Field Summary
`(package private) static int` | `DATA`
`(package private) static int` | `ERROR`
`(package private) int` | `iMode`
`(package private) int[]` | `iType`
`(package private) int` | `iUpdateCount`
`(package private) Record` | `rRoot`
`(package private) java.lang.String` | `sError`
`(package private) java.lang.String[]` | `sLabel`
`(package private) java.lang.String[]` | `sName`
`(package private) java.lang.String[]` | `sTable`
`(package private) static int` | `UPDATECOUNT`

Constructor Summary
`(package private)` | `Result()` Constructor declaration
`(package private)` | `Result(byte[] b)` Constructor declaration
`(package private)` | `Result(int columns)` Constructor declaration
`(package private)` | `Result(java.lang.String error)` Constructor declaration

Method Summary
`(package private) void` | `add(java.lang.Object[] d)` Method declaration
`(package private) void` | `append(Result a)` Method declaration
`(package private) byte[]` | `getBytes()` Method declaration
`(package private) int` | `getColumnCount()` Method declaration
`(package private) int` | `getSize()` Method declaration
`(package private) void` | `setColumnCount(int columns)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPDATECOUNT

    static final int UPDATECOUNT

### ERROR

    static final int ERROR

### DATA

    static final int DATA

### iMode

    int iMode

### sError

    java.lang.String sError

### iUpdateCount

    int iUpdateCount

### rRoot

    Record rRoot

### sLabel

    java.lang.String[] sLabel

### sTable

    java.lang.String[] sTable

### sName

    java.lang.String[] sName

### iType

    int[] iType

Constructor Detail

### Result

    Result()

  Constructor declaration

### Result

    Result(java.lang.String error)

  Constructor declaration
  Parameters:
    `error` -

### Result

    Result(int columns)

  Constructor declaration
  Parameters:
    `columns` -

### Result

    Result(byte[] b)
     throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `b` -

Method Detail

### getSize

    int getSize()

  Method declaration
  Returns:

### setColumnCount

    void setColumnCount(int columns)

  Method declaration
  Parameters:
    `columns` -

### getColumnCount

    int getColumnCount()

  Method declaration
  Returns:

### append

    void append(Result a)

  Method declaration
  Parameters:
    `a` -

### add

    void add(java.lang.Object[] d)

  Method declaration
  Parameters:
    `d` -

### getBytes

    byte[] getBytes()
              throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD